# Delete a platform of a offer

| HTTP method | Endpoint                                            |
| ----------- | --------------------------------------------------- |
| **DELETE**  | **/v1/offers/{offer\_id}/platforms/{platform\_id}** |

## Path parameters <a href="#path-parameters-0" id="path-parameters-0"></a>

| Parameter    | Description                     |
| ------------ | ------------------------------- |
| offer\_id    | The unique id for the offer.    |
| platform\_id | The unique id for the platform. |

## Response body parameters <a href="#response-body-parameters-2" id="response-body-parameters-2"></a>

| Field           | Type    | Description                                                                                                                                                                                                 |
| --------------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| id              | integer |                                                                                                                                                                                                             |
| offer\_id       | integer | A string that uniquely identifies this offer.                                                                                                                                                               |
| platform        | string  | Devices to be targeted, it might be PC/Mobile/Tablet                                                                                                                                                        |
| system          | string  | Operating System in Device. By default it allows all OS in targeted platform.                                                                                                                               |
| version         | array   | Version of the system. By default it allows all versions in targeted system                                                                                                                                 |
| ***is\_above*** | integer | A new field, is\_above, is added to offer platform to support upper compatibility in platform. When new platform versions are upgraded, the traffic won’t be rejected.   Allowed values:   0 Close;  1 Open |

## Example request <a href="#example-request-2" id="example-request-2"></a>

**Request DELETE** <https://{networkname}.api.offerslook.com/v1/offers/3147/platforms/2972>

## Example response <a href="#example-response-2" id="example-response-2"></a>

```
    {
      "code": 0,
      "message": "Success",
      "data": {
        "offer_platform": {
          "target": [
            {
              "id": 2973,
              "offer_id": 3147,
              "platform": "Mobile",
              "system": "iOS",
              "version": [
                "5.1",
                "6.0",
                "6.1"
              ],
              "is_above": 1
            },
            {
              "id": 2974,
              "offer_id": 3147,
              "platform": "PC",
              "system": "",
              "version": [

              ],
              "is_above": 1
            },
            {
              "id": 2975,
              "offer_id": 3147,
              "platform": "Mobile",
              "system": "Android",
              "version": [

              ],
              "is_above": 1
            }
          ]
        }
      }
    }
```
